%define major		5
%define libname		%mklibname ebml %{major}
%define develname	%mklibname ebml -d

Summary:	Extensible Binary Meta Language Library
Name:		libebml
Version:	1.4.5
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://www.matroska.org/
Source0:	https://dl.matroska.org/downloads/libebml/%{name}-%{version}.tar.xz
Patch0:		libebml-1.4.4-use-system-utf8cpp.patch
BuildRequires:	cmake
BuildRequires:	utf8cpp-devel

%description
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n	%{libname}
Summary:	Extensible Binary Meta Language shared Library
Group:		System/Libraries

%description -n	%{libname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

%package -n	%{develname}
Group:		Development/C++
Summary:	Extensible Binary Meta Language Library headers and static library
Provides:	libebml-devel = %{version}
Requires:	%{libname} = %{version}

%description -n	%{develname}
This library is used for I/O operations in the Extensible Binary Meta
Language (EBML), which is a kind of binary version of XML.

This package contains the C++ headers and the static library needed
for development with EBML.

%prep
%autosetup -p1
#remove bundled lib as we use system one
rm -r src/lib/utf8-cpp

%build
%cmake
%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/libebml.so.%{major}{,.*}

%files -n %{develname}
%doc NEWS.md README.md LICENSE*
%{_includedir}/ebml
%{_libdir}/libebml.so
%{_libdir}/cmake/EBML/
%{_libdir}/pkgconfig/libebml.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.4.5-2.mga10
+ Revision: 2227150
- Mageia 10 Mass Rebuild

* Mon Aug 26 2024 mrambo3501 <mrambo3501> 1.4.5-1.mga10
+ Revision: 2091539
- version 1.4.5

* Fri Oct 14 2022 luigiwalser <luigiwalser> 1.4.4-1.mga9
+ Revision: 1896860
- remove upstreamed patch 1
+ papoteur <papoteur>
- new 1.4.4

* Thu Mar 17 2022 umeabot <umeabot> 1.4.2-3.mga9
+ Revision: 1796957
- Mageia 9 Mass Rebuild

* Fri Mar 11 2022 danf <danf> 1.4.2-2.mga9
+ Revision: 1790438
- Add numeric-limits.patch to fix compiling with libstdc++ 12
- Switch to https URLS

* Wed Mar 10 2021 daviddavid <daviddavid> 1.4.2-1.mga9
+ Revision: 1701174
- new version: 1.4.2

* Tue Feb 02 2021 luigiwalser <luigiwalser> 1.4.1-1.mga8
+ Revision: 1674546
- 1.4.1

* Mon Jul 20 2020 zezinho <zezinho> 1.4.0-1.mga8
+ Revision: 1607319
- new version 1.4.0

* Tue Feb 18 2020 daviddavid <daviddavid> 1.3.10-2.mga8
+ Revision: 1541642
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Wed Dec 25 2019 daviddavid <daviddavid> 1.3.10-1.mga8
+ Revision: 1469926
- new version: 1.3.10

* Thu Jul 04 2019 daviddavid <daviddavid> 1.3.9-1.mga8
+ Revision: 1418309
- new version: 1.3.9

* Sun Mar 17 2019 zezinho <zezinho> 1.3.7-1.mga7
+ Revision: 1378205
- new version 1.3.7

* Sun Sep 23 2018 umeabot <umeabot> 1.3.6-2.mga7
+ Revision: 1298818
- Mageia 7 Mass Rebuild

* Mon Apr 23 2018 daviddavid <daviddavid> 1.3.6-1.mga7
+ Revision: 1221989
- new version: 1.3.6
- switch to cmake build

* Thu Feb 01 2018 zezinho <zezinho> 1.3.5-1.mga7
+ Revision: 1198517
- new version

* Tue Sep 26 2017 ghibo <ghibo> 1.3.4-2.mga7
+ Revision: 1159857
- Bump release for rebuilding

* Thu Aug 11 2016 luigiwalser <luigiwalser> 1.3.4-1.mga6
+ Revision: 1045510
- 1.3.4

* Mon Feb 15 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 960954
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 gw666 <gw666> 1.3.3-1.mga6
+ Revision: 893784
- new version
- update tarball to fixed version

* Sun Oct 18 2015 gw666 <gw666> 1.3.2-1.mga6
+ Revision: 892448
- new version

* Sat Aug 29 2015 cjw <cjw> 1.3.1-2.mga6
+ Revision: 871045
- rebuild with gcc 5

* Thu Apr 09 2015 gw666 <gw666> 1.3.1-1.mga6
+ Revision: 819946
- new version
- update build procedure
- add pkgconfig file

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-5.mga5
+ Revision: 750208
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.3.0-4.mga5
+ Revision: 726703
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-3.mga5
+ Revision: 681436
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-2.mga4
+ Revision: 532397
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 luigiwalser <luigiwalser> 1.3.0-1.mga4
+ Revision: 468269
- 1.3.0
- library major is now 4

* Sat Jan 12 2013 umeabot <umeabot> 1.2.2-2.mga3
+ Revision: 357040
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 26 2011 fwang <fwang> 1.2.2-1.mga2
+ Revision: 148439
- new version 1.2.2

* Fri Jul 01 2011 ahmad <ahmad> 1.2.1-2.mga2
+ Revision: 117048
- Build with our own default flags
- %%doc one more file
- Fix some rpmlint warnings
- Make the libraries executable so that the can be stripped and -debug isn't
  empty

* Thu Jun 30 2011 ahmad <ahmad> 1.2.1-1.mga2
+ Revision: 117043
- Update to 1.2.1

* Wed Feb 02 2011 ahmad <ahmad> 1.2.0-1.mga1
+ Revision: 46452
- update to 1.2.0

* Tue Jan 25 2011 ahmad <ahmad> 1.0.0-2.mga1
+ Revision: 39546
- don't ship .a
- imported package libebml


* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 1.0.0-1mdv2011.0
+ Revision: 550264
- new version
- new major

* Tue Aug 26 2008 Emmanuel Andry <eandry@mandriva.org> 0.7.8-3mdv2009.0
+ Revision: 276359
- apply devel policy
- fix license
- check major

* Fri Jul 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.7.8-2mdv2009.0
+ Revision: 233729
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Mar 05 2008 Götz Waschk <waschk@mandriva.org> 0.7.8-1mdv2008.1
+ Revision: 180077
- new version

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.7.7-1mdv2008.1
+ Revision: 140921
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2007.0
+ Revision: 108690
- Import libebml

* Sun Jan 14 2007 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdv2007.1
- rebuild

* Mon Apr 03 2006 Götz Waschk <waschk@mandriva.org> 0.7.7-1mdk
- New release 0.7.7

* Wed Oct 19 2005 Götz Waschk <waschk@mandriva.org> 0.7.6-1mdk
- New release 0.7.6

* Thu Jun 09 2005 Götz Waschk <waschk@mandriva.org> 0.7.5-2mdk
- mkrel

* Tue May 24 2005 Götz Waschk <waschk@mandriva.org> 0.7.5-1mdk
- New release 0.7.5

* Tue Apr 19 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.4-1mdk
- libify
- New release 0.7.4

* Mon Feb 07 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Tue Nov 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.2-1mdk
- New release 0.7.2

* Mon Jul 26 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.1-1mdk
- fix source URL
- New release 0.7.1

* Tue Jun 08 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.0-2mdk
- rebuild for new g++

* Sat Apr 24 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.0-1mdk
- new version

* Sat Apr 03 2004 Götz Waschk <waschk@linux-mandrake.com> 0.6.5-1mdk
- new version

* Thu Jan 22 2004 Götz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- new version

